function fHoliday(y,m,d) {
var rE=fGetEvent(y,m,d), r=null;
if (y==2006&&m==12&&d==31)
r=["Dec 31, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==30)
r=["Dec 30, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==25)
r=["Dec 25, 2006 Merry X'mas",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==24)
r=["Dec 24, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==23)
r=["Dec 23, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==17)
r=["Dec 17, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==16)
r=["Dec 16, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==10)
r=["Dec 10, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==9)
r=["Dec 9, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==3)
r=["Dec 3, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==12&&d==2)
r=["Dec 2, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==26)
r=["Nov 26, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==25)
r=["Nov 25, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==19)
r=["Nov 19, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==18)
r=["Nov 18, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==12)
r=["Nov 12, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==11)
r=["Nov 11, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==5)
r=["Nov 5, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==11&&d==4)
r=["Nov 4, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==29)
r=["Oct 29, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==28)
r=["Oct 28, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==25)
r=["Oct 25, 2006 Public Holiday",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==24)
r=["Oct 24, 2006 Hari Raya Puasa",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==22)
r=["Oct 22, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==21)
r=["Oct 21, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==15)
r=["Oct 15, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==14)
r=["Oct 14, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==8)
r=["Oct 8, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==7)
r=["Oct 7, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==10&&d==1)
r=["Oct 1, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==30)
r=["Sep 30, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==24)
r=["Sep 24, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==23)
r=["Sep 23, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==17)
r=["Sep 17, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==16)
r=["Sep 16, 2006 TYT Birthday",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==10)
r=["Sep 10, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==9)
r=["Sep 9, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==3)
r=["Sep 3, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==9&&d==2)
r=["Sep 2, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==31)
r=["Aug 31, 2006 National Day",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==27)
r=["Aug 27, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==26)
r=["Aug 26, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==20)
r=["Aug 20, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==19)
r=["Aug 19, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==13)
r=["Aug 13, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==12)
r=["Aug 12, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==6)
r=["Aug 6, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==8&&d==5)
r=["Aug 5, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==30)
r=["Jul 30, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==29)
r=["Jul 29, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==23)
r=["Jul 23, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==22)
r=["Jul 22, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==16)
r=["Jul 16, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==15)
r=["Jul 15, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==9)
r=["Jul 9, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==8)
r=["Jul 8, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==2)
r=["Jul 2, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==7&&d==1)
r=["Jul 1, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==25)
r=["Jun 25, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==24)
r=["Jun 24, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==18)
r=["Jun 18, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==17)
r=["Jun 17, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==11)
r=["Jun 11, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==10)
r=["Jun 10, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==4)
r=["Jun 4, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==3)
r=["Jun 3, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==2)
r=["Jun 2, 2006 Public Holiday",gsAction,"skyblue","red"]
else if (y==2006&&m==6&&d==1)
r=["Jun 1, 2006 Gawai Holiday",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==28)
r=["May 28, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==27)
r=["May 27, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==21)
r=["May 21, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==20)
r=["May 20, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==14)
r=["May 14, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==13)
r=["May 13, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==7)
r=["May 7, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==6)
r=["May 6, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==5&&d==1)
r=["May 1, 2006 Labour Day",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==30)
r=["Apr 30, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==29)
r=["Apr 29, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==23)
r=["Apr 23, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==22)
r=["Apr 22, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==16)
r=["Apr 16, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==15)
r=["Apr 15, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==14)
r=["Apr 14, 2006 Good Friday",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==11)
r=["Apr 11, 2006 Nabi Mohammad S.A.W",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==9)
r=["Apr 9, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==8)
r=["Apr 8, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==2)
r=["Apr 2, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==4&&d==1)
r=["Apr 1, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==26)
r=["Mar 26, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==25)
r=["Mar 25, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==19)
r=["Mar 19, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==18)
r=["Mar 18, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==12)
r=["Mar 12, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==11)
r=["Mar 11, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==5)
r=["Mar 5, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==3&&d==4)
r=["Mar 4, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==26)
r=["Feb 26, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==25)
r=["Feb 25, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==19)
r=["Feb 19, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==18)
r=["Feb 18, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==12)
r=["Feb 12, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==11)
r=["Feb 11, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==5)
r=["Feb 5, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==4)
r=["Feb 4, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==2&&d==1)
r=["Feb 1, 2006 Public Holiday",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==31)
r=["Jan 31, 2006 Awal Muharam 1424H",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==30)
r=["Jan 30, 2006 Public Holiday",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==29)
r=["Jan 29, 2006 Chinese New Year",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==28)
r=["Jan 28, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==22)
r=["Jan 22, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==21)
r=["Jan 21, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==15)
r=["Jan 15, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==14)
r=["Jan 14, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==10)
r=["Jan 10, 2006 Hari Raya Haji",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==8)
r=["Jan 8, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==7)
r=["Jan 7, 2006 Weekend",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==2)
r=["Jan 2, 2006 Public Hiloday",gsAction,"skyblue","red"]
else if (y==2006&&m==1&&d==1)
r=["Jan 1, 2006 New Year",gsAction,"skyblue","red"]
return rE?rE:r; // favor events over holidays
}